Documents
List documents
List all documents in the organization.
GET
/
documents
/
{organizationId}
List documents
curl --request GET \
--url https://api.squadvault.xyz/v1/documents/{organizationId} \
--header 'x-api-key: <api-key>'const options = {method: 'GET', headers: {'x-api-key': '<api-key>'}};
fetch('https://api.squadvault.xyz/v1/documents/{organizationId}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));import requests
url = "https://api.squadvault.xyz/v1/documents/{organizationId}"
headers = {"x-api-key": "<api-key>"}
response = requests.get(url, headers=headers)
print(response.text){
"items": [
{
"id": "<string>",
"organizationId": "<string>",
"teamId": "<string>",
"name": "<string>",
"description": "<string>",
"fileUrl": "<string>",
"fileKey": "<string>",
"contentType": "<string>",
"sizeBytes": 123,
"uploadedBy": "<string>",
"createdAt": "2023-11-07T05:31:56Z",
"updatedAt": "2023-11-07T05:31:56Z",
"tags": [
"playbook"
],
"team": {
"id": "<string>",
"name": "<string>"
},
"uploadedByUser": {
"id": "<string>",
"name": "<string>"
}
}
],
"pagination": {
"hasMore": true,
"limit": 123,
"offset": 123,
"total": 123
},
"storage": {
"tier": "<string>",
"usedBytes": 123,
"limitBytes": 123,
"remainingBytes": 123,
"maxFileBytes": 123
}
}Authorizations
Organization API key from Settings → API keys.
Path Parameters
Organization ID. Must match the API key's organization.
Query Parameters
Required range:
1 <= x <= 250Required range:
x >= 0Was this page helpful?
⌘I
List documents
curl --request GET \
--url https://api.squadvault.xyz/v1/documents/{organizationId} \
--header 'x-api-key: <api-key>'const options = {method: 'GET', headers: {'x-api-key': '<api-key>'}};
fetch('https://api.squadvault.xyz/v1/documents/{organizationId}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));import requests
url = "https://api.squadvault.xyz/v1/documents/{organizationId}"
headers = {"x-api-key": "<api-key>"}
response = requests.get(url, headers=headers)
print(response.text){
"items": [
{
"id": "<string>",
"organizationId": "<string>",
"teamId": "<string>",
"name": "<string>",
"description": "<string>",
"fileUrl": "<string>",
"fileKey": "<string>",
"contentType": "<string>",
"sizeBytes": 123,
"uploadedBy": "<string>",
"createdAt": "2023-11-07T05:31:56Z",
"updatedAt": "2023-11-07T05:31:56Z",
"tags": [
"playbook"
],
"team": {
"id": "<string>",
"name": "<string>"
},
"uploadedByUser": {
"id": "<string>",
"name": "<string>"
}
}
],
"pagination": {
"hasMore": true,
"limit": 123,
"offset": 123,
"total": 123
},
"storage": {
"tier": "<string>",
"usedBytes": 123,
"limitBytes": 123,
"remainingBytes": 123,
"maxFileBytes": 123
}
}